solarOSsolarOS Docs

Create or update an External Record Link on a Case

Creates a navigable context link on the Case, or updates labels and data when the same URL is already linked. Requires Idempotency-Key and cases:write.

POST
/cases/{id}/external-record-links

Creates a navigable context link on the Case, or updates labels and data when the same URL is already linked. Requires Idempotency-Key and cases:write.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Case identifier returned by the Organization API.

Request Body

application/json

JSON request payload for createCaseExternalRecordLink.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/cases/string/external-record-links" \  -H "Content-Type: application/json" \  -d '{    "externalSystem": "salesforce",    "externalSystemLabel": "Salesforce",    "objectLabel": "Account",    "recordLabel": "Paul Mundell",    "url": "https://example.my.salesforce.com/lightning/r/Account/001.../view"  }'
{  "data": {},  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}